#pragma once
#include "ILotInfo.h"

#include "LotInfoStruct.h"

class CRuntimeLotInfo : public ILotInfo<nsLotInfo::stLotInfo>
{
public:
    CRuntimeLotInfo();
    virtual ~CRuntimeLotInfo();

    // Inherited via ILotInfo
    nsLotInfo::stLotInfo& GetLotInfo() override;
    bool                  IsLotOpened() override;
    std::string           LotName() override;
    int                   LotQty() override;
    std::string           OperatorID() override;
    std::string           ShiftID() override;
    std::string           StartTime() override;
    std::string           Recipe() override;
    std::string           Package() override;

private:
    void Load();

    nsLotInfo::stLotInfo m_lotInfo;
};
